Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007739Dwarf FortressDwarf Mode -- Invasionspublic2014-07-30 09:322014-09-14 09:43
Reportersamanato 
Assigned ToToady One 
PriorityurgentSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.40.05 
Target VersionFixed in Version0.40.07 
Summary0007739: Hostile sites appear to be lost from contact, resulting in lack of fort invasions
DescriptionI have not seen this reported anywhere, which is odd because this is quite severe.

Hostile entities like goblins and necromancers appear to be disappearing from interaction with player forts. You can tell, because they literally disappear from the list of neighbours of a retired fort after a few years.

This may be part of the reason, why sieges are often extremely scarce past the first very early one (see 0007417 for that). This happens even with liaison reports of hostiles conquering several dwarf fortresses nearby.
Additional InformationSee the information in this thread http://www.bay12forums.com/smf/index.php?topic=141422.0 [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0006972resolvedToady One Kobolds and goblins do not appear in the civilizations list 
related to 0006868resolvedToady One Goblins only interact within a radius of 2 world tiles 
parent of 0007685resolvedToady One Neighbors view shows invalid data 
parent of 0006592resolvedToady One Elves are always listed on the neighbors menu 
parent of 0007015resolvedToady One List of neighbors on Embark screen includes "Town." 
has duplicate 0007740resolvedFootkerchief Hostile sites appear to be lost from contact, resulting in lack of fort invasions 
has duplicate 0007845resolvedlethosor Sieges cease to happen past the first siege on 0.40.xx fortresses. 
related to 0007161confirmedDwarfu Morale is screwy across all modes 

-  Notes
(0027959)
Footkerchief (manager)
2014-07-30 09:54

What does Legends Mode say about those entities?
(0027961)
samanato (reporter)
2014-07-30 10:02
edited on: 2014-07-30 10:37

I'm currently trying to replicate this myself, (the forum post was by another, and several other reports are on the forums) but I do notice, that this effect seems to extend to initial embarks, at least for necromancer towers. They occasionally fail to appear on the neighbours list, even when you are literally right next to the tower. (probably due to 0007685, which I suspect, is related to missing invaders)

I'll try to post with results fairly soon.

(0027984)
samanato (reporter)
2014-07-30 14:30
edited on: 2014-07-30 14:54

UPDATE: And it only took me one summer!

http://dffd.wimbli.com/file.php?id=9211 [^]

My settlement is called Domasâbir, on the small mountain peak in the swamp. To its left is a big mass of goblin sites to my left, including a dark fortress with 10963?! goblins. These were present before embark as neighbours, as expected, but upon retirement are no longer listed.

Legends mode says nothing eventful about the goblins' civilisation, the Spider of Crosses, or my settlement, in that year.

EDIT: Re-running the world-gen, with the same history seeds and all, with roughly the same populations overall and by site as a result, you can see the initial site lists goblins as neighbours. Next I shall try to play the fort for longer to see if this correlates with a lack of invasions.

(0028022)
Robsoie (reporter)
2014-07-31 06:27
edited on: 2014-07-31 06:33

I can confirm the lack of invaders.

Since 0.41 up to 0.45 i have made +/- 6 fortresses.
I only got a goblin siege in the very 1st fortress i made , back in 0.40.01, and it was a very lowly 8 goblins invaders that didn't even tried to get into my unfinished defenses, they just ran to the other side of the map and disappeared.

That's strange as dark fortress are always overpopulated with several thousands of goblins and trolls (while other civs never get 1/5 of such numbers) in every of the worlds i generated.

(0028100)
Calathar (reporter)
2014-08-01 13:46

My current fort has this problem. The embark was near a tower and a "Fortress". Each invader seemed to appear once, then never appear again. I had one kobold, one zombie invasion, one goblin invasion, and one dwarf(?) invasion (necromancer fortress? dark fortress? all of the invaders were dwarves, however). Years after, nothing to the point where I started leaving cattle in the woods (who were all later killed by a fireball-breathing titan - the titan and forgotten beasts, at least, are still working). I have a save shortly after the dwarf invasion, as well as a few over the course of time. I will upload them later tonight.
(0028103)
Talvieno (reporter)
2014-08-01 14:46

Can confirm for 40.03, 40.04, and 40.05... pretty sure.
(0028117)
Calathar (reporter)
2014-08-01 19:27

I have uploaded a file with 5 saves from the same fort over several years with the no invasions bug.

http://dffd.wimbli.com/file.php?id=9237 [^]

Hopefully they will show what is happening. Description of each save is listed on the dffd page. I have a few more, if needed.
(0028212)
the_game_hunt (reporter)
2014-08-03 09:13

Confirmed.
(0028217)
samanato (reporter)
2014-08-03 09:33
edited on: 2014-08-03 09:46

So far have I not had luck with testing long-term forts (last two ones died to FB's, before I lasted for two years, they at least seem to work properly...) however, I have analysed Calathar's saves.

1. Dwarves: The attack itself definitely shouldn't happen, and I think it's related to the bug of your entire nearby civ being hostile! (see http://www.bay12forums.com/smf/index.php?topic=141394.0 [^]) Succumbing to the invasion made a lot of dwarves starve to death. Goblins, the tower, and a Fortress (strangely enough) are listed as neighbours.

2. Zombies: The necromancers' tower is called Roadmark (it's the only tower I could find in Legends, and it does have zombie elves seen in later saves). Legends mode says nothing eventful about the tower itself. Neither goblins nor tower are listed as neighbours on the embark screen.

3. Goblins: The goblin group that attacked Theaterunited are called the Fiend of Cults. After retiring, all legends mode says thereof is that they attacked Calathar's fortress, then conquered another one nearby. Again, Legends says nothing of the parent civ being conquered themselves, or any other event that would disrupt civ activity. Again, neither goblins nor tower are listed as neighbours on the embark screen.

4. Humans: Again, goblins and necromancer towers are not listed as neighbours. Contact appears to be permanently lost.

From what I see of it, it does have to do with neighbour status being buggy. This is consistent with Toady's comment about losing neighbours as "being trouble", one of whose consequences is this bug of no further fort invasions.

(0028235)
Nevenrial (reporter)
2014-08-03 13:49

Same issues. No invasions. Usually one ambush the first year then nothing. Titans come on an almost yearly basis though.
(0028337)
UristDaVinci (reporter)
2014-08-04 20:18
edited on: 2014-08-04 20:26

0.40.06

I generated a new world. I went to dwarf mode to choose the embark location, and scrolled around the map watching the neighbours list. Tower would not display correctly - it was showing Tower everywhere. I went to legends mode, and viewed the history. Nothing special - there is one tower in the world, and the occupants just sat there and wrote lots of books about themselves for 200 years. I went back to dwarf mode and now Tower only appeared near the tower location.

Tested for repeatability. If you generate a world and then look at the neighbours using the pre-embark cursor, the Tower is either a neighbour everywhere or nowhere. However, entering legends mode and then going back to the dwarf mode pre-embark, without exiting the program, appears to give more reasonable indication of the tower's neighbour status. If you exit the program, you lose the "fix" and have to re-enter legends mode to get proper tower display.

Clearly, entering legends mode is no longer possible once you start a fort, unless you retire/abandon, so I can't check effects on sieges etc.

EDIT: It might explain the early-game-only sieges and ambushes if important data is lost or not generated if the program is exited and then restarted. Player generates world, plays for a while, saves & quits, goes to sleep/work/etc., and then runs DF the next (real-life) day.

(0028350)
Dwarfu (manager)
2014-08-04 21:36

samanato's FotF question and Toady's answer:
http://www.bay12forums.com/smf/index.php?topic=140544.msg5530240#msg5530240 [^]

"How extensive will be the changes required to fix invasions at the moment, which appear to be broken? It appears to have something to do with neighbours not pathing correctly, though there may well be other reasons. Has the "army will camp forever" message something to do with goblin armies not moving?

I've posted a bug report about this; I'm not sure, if the visibly bugged neighbours list in the embark screen is connected to this (neighbours can literally disappear at the moment of embark seemingly) but invasions are definitely missing from my experience and many others.


This is the first time I've heard about it, and I have no idea why it is happening. I've seen plenty of invasions, but long-term forts aren't a common thing for me to test for time reasons. I don't think the camp message has anything to do with it, since that seems very common, and it wouldn't change or be changed by the neighbor status. I'll just have to check out saves and see what is going on. Losing neighbor status would be trouble for various reasons, assuming they aren't being conquered etc."
(0028352)
Dwarfu (manager)
2014-08-04 21:40

Also discussed here:
http://www.bay12forums.com/smf/index.php?topic=141280.0 [^]
(0028368)
Ataman (reporter)
2014-08-05 03:35

Providing another save with 40.06:
http://dffd.wimbli.com/file.php?id=9292 [^]
(0028382)
Robsoie (reporter)
2014-08-05 07:51

Could it be related to this.

In 34.11 i was used to not check the neighbourgh listing, knowing roughly where i could get goblin listed or not, meaning nearly everywhere.

In 40.0x i was doing the same.
And as i decided to give another try, i decided to tab until the neighbourgh panel and was surprised that goblins were listed nearly nowhere.

I discovered that you need to embark -very- close to goblin site in order for them to finally be displayed.
By example there i am very close to goblin pits and fortress but they're not listed as neighbourgh (while other civs that are much more distant are) :

http://i.imgur.com/NPbCUsE.gif [^]

Now to get the goblins listed i must move even closer :

http://i.imgur.com/i4w5Xzu.gif [^]

It wasn't like this in 34.11 from what i remember, i could get goblins as neighbourgh on most of the map, not only extremely close to their site.

here's a 34.11 similar world and see how i could get goblins without needing to be nearly embarking on their site as there i'm relatively far from their site :

http://i.imgur.com/TVR1TF1.gif [^]
(0028389)
Toady One (administrator)
2014-08-05 12:01

I've fixed the invasion issue -- it had to do with stale data, and the neighbor flags were intact. I haven't looked at neighbor flags vs. retirement etc. yet.
(0028395)
Toady One (administrator)
2014-08-05 13:08

I've also fixed a problem with the neighbor calculation (had to do with the calendar screwing up distance data).

- Issue History
Date Modified Username Field Change
2014-07-30 09:32 samanato New Issue
2014-07-30 09:35 samanato Issue Monitored: samanato
2014-07-30 09:35 samanato Issue End Monitor: samanato
2014-07-30 09:53 Footkerchief View Status private => public
2014-07-30 09:53 Footkerchief Relationship added has duplicate 0007740
2014-07-30 09:54 Footkerchief Note Added: 0027959
2014-07-30 09:54 Footkerchief Assigned To => Footkerchief
2014-07-30 09:54 Footkerchief Status new => needs feedback
2014-07-30 10:02 samanato Note Added: 0027961
2014-07-30 10:02 samanato Status needs feedback => assigned
2014-07-30 10:06 samanato Note Edited: 0027961 View Revisions
2014-07-30 10:24 samanato Note Edited: 0027961 View Revisions
2014-07-30 10:37 samanato Note Edited: 0027961 View Revisions
2014-07-30 14:00 samanato Issue Monitored: samanato
2014-07-30 14:30 samanato Note Added: 0027984
2014-07-30 14:54 samanato Note Edited: 0027984 View Revisions
2014-07-31 06:27 Robsoie Note Added: 0028022
2014-07-31 06:33 Robsoie Note Edited: 0028022 View Revisions
2014-07-31 09:03 Nevenrial Issue Monitored: Nevenrial
2014-08-01 00:33 Dwachs Issue Monitored: Dwachs
2014-08-01 13:46 Calathar Note Added: 0028100
2014-08-01 14:46 Talvieno Note Added: 0028103
2014-08-01 19:27 Calathar Note Added: 0028117
2014-08-03 09:13 the_game_hunt Issue Monitored: the_game_hunt
2014-08-03 09:13 the_game_hunt Note Added: 0028212
2014-08-03 09:33 samanato Note Added: 0028217
2014-08-03 09:33 samanato Note Edited: 0028217 View Revisions
2014-08-03 09:34 samanato Note Edited: 0028217 View Revisions
2014-08-03 09:46 samanato Note Edited: 0028217 View Revisions
2014-08-03 13:49 Nevenrial Note Added: 0028235
2014-08-03 13:49 4maskwolf Issue Monitored: 4maskwolf
2014-08-04 18:30 Dwarfu Relationship added related to 0006972
2014-08-04 18:40 lethosor Relationship added has duplicate 0007845
2014-08-04 20:18 UristDaVinci Note Added: 0028337
2014-08-04 20:26 UristDaVinci Note Edited: 0028337 View Revisions
2014-08-04 20:46 Dwarfu Relationship added related to 0007161
2014-08-04 21:36 Dwarfu Note Added: 0028350
2014-08-04 21:40 Dwarfu Note Added: 0028352
2014-08-04 21:41 Dwarfu Status assigned => confirmed
2014-08-04 23:00 Dwarfu Sticky Issue No => Yes
2014-08-05 03:35 Ataman Note Added: 0028368
2014-08-05 07:51 Robsoie Note Added: 0028382
2014-08-05 12:01 Toady One Note Added: 0028389
2014-08-05 13:08 Toady One Note Added: 0028395
2014-08-05 13:08 Toady One Status confirmed => resolved
2014-08-05 13:08 Toady One Fixed in Version => Next Version
2014-08-05 13:08 Toady One Resolution open => fixed
2014-08-05 13:08 Toady One Assigned To Footkerchief => Toady One
2014-08-05 13:16 samanato Issue End Monitor: samanato
2014-08-05 13:40 Nevenrial Issue End Monitor: Nevenrial
2014-08-05 14:39 Footkerchief Relationship added related to 0006868
2014-08-05 14:50 4maskwolf Issue End Monitor: 4maskwolf
2014-08-05 23:13 Dwarfu Relationship added parent of 0007685
2014-08-05 23:15 Dwarfu Relationship added parent of 0006592
2014-08-06 12:37 Dwarfu Relationship added parent of 0007015
2014-09-08 09:28 Dwachs Issue End Monitor: Dwachs
2014-09-14 09:43 lethosor Sticky Issue Yes => No


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker